vDotAlphaTotal *= 0.0;
vDotPTotal *= 0.0;

forAll(massTransferActivceSpecies, i)
{
    // Getting access to species properties in two phases
    basicSpecieMixture& specieComposition1 = mixture.thermo1().composition();
    basicSpecieMixture& specieComposition2 = mixture.thermo2().composition();

    // Getting the active specie IDs from two phases
    scalar phaseOneID = speciesMasstransferModels[i].speciesCheck
    (
        composition1.species(),
        massTransferActivceSpecies[i],
        alpha1.name()
     );

    scalar phaseTwoID = speciesMasstransferModels[i].speciesCheck
    (
        composition2.species(), 
        massTransferActivceSpecies[i],
        alpha2.name()
    );

    // Calculating specie density per phase
    volScalarField specieDensityPhaseOne = speciesMasstransferModels[i].specieDensity
    (
        phaseOneID,
        p,
        T,
        specieComposition1
    );

    volScalarField specieDensityPhaseTwo = speciesMasstransferModels[i].specieDensity
    (
        phaseTwoID,
        p,
        T,
        specieComposition2
    );

    // Calculation of specific mass change based on the mass transfer
    speciesmDots[i] = speciesMasstransferModels[i].mDot
    (
        specieComposition1.W(phaseOneID),
        Y1[phaseOneID],
        Y2[phaseTwoID],
        rho1,
        rho2, 
        alpha1
    );

    // Calculation of specific volume change based on the mass transfer
    Pair<tmp<volScalarField> > vDot = speciesMasstransferModels[i].vDot
    (
        specieComposition1.W(phaseOneID),
        Y1[phaseOneID],
        Y2[phaseTwoID],
        rho1, 
        rho2,
        specieDensityPhaseTwo,
        specieDensityPhaseOne,
        alpha1
    );


    vDotAlphaTotal  += vDot[0];
    vDotPTotal      += vDot[1];
}